Summary: A file compression and packaging utility compatible with PKZIP.
Name: zip
Version: 2.3
Release: 1a
Copyright: distributable
Group: Applications/Archiving
Source: ftp.uu.net:/pub/archiving/zip/zip23.tar.gz
Patch0: zip23.patch
Prefix: /usr
BuildRoot: /tmp/zip-root

%description
The zip program is a compression and file packaging utility.  Zip is
analogous to a combination of the UNIX tar and compress commands and is
compatible with PKZIP (a compression and file packaging utility for
MS-DOS systems).

Install the zip package if you need to compress files using the zip
program.

%prep
%setup -n zip-%{version}
%patch0 -p1

%build
cd unix
mv Makefile Makefile.orig
sed 	-e 's;-O2;\$(RPM_OPT_FLAGS);g' \
	-e 's;-O;\$(RPM_OPT_FLAGS);g' \
	Makefile.orig > Makefile
cd ..
make -f unix/Makefile prefix=%{prefix} "RPM_OPT_FLAGS=$RPM_OPT_FLAGS" generic_gcc


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/{bin,man/man1}

make -f unix/Makefile prefix=$RPM_BUILD_ROOT%{prefix} install
strip $RPM_BUILD_ROOT%{prefix}/bin/{zipnote,zipsplit,zip,zipcloak}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGES INSTALL LICENSE MANUAL README TODO WHATSNEW WHERE
%{prefix}/bin/*
%{prefix}/man/man1/*

%changelog
* Thu Dec 23 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- update to v.2.3

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- updated text in the spec file

* Fri Jan 15 1999 Cristian Gafton <gafton@redhat.com>
- patch top build on the arm

* Mon Dec 21 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
